### Method

# Lasem DomDocument append_from_memory

#### Declaration [src]

    void
    lsm_dom_document_append_from_memory (
      LsmDomDocument* document,
      LsmDomNode* node,
      const char* buffer,
      gssize size,
      GError** error
    )

#### Description [src]

Append a chunk of xml tree to an existing document. The resulting nodes will be appended to `node`, or to `document` if `node` == NULL.

Size set to -1 indicates the buffer is NULL terminated.

#### Parameters

`node`

  Type: `LsmDomNode`

  A `LsmDomNode`.

  The data is owned by the caller of the method.

`buffer`

  Type: `const char*`

  A memory buffer holding xml data.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gssize`

  Size of the xml data, in bytes, -1 if NULL terminated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.